CREATE OR REPLACE TRIGGER check_salary BEFORE INSERT OR UPDATE ON employees
FOR EACH ROW
DECLARE
   c_min constant number(8,2) := 1000.0;
   c_max constant number(8,2) := 500000.0;
BEGIN
  IF :new.salary > c_max OR :new.salary < c_min THEN
  RAISE_APPLICATION_ERROR(-20000,'New salary is too small or large');
END IF;
END;
/
