drop table it_order;
drop table item;
drop table userinfo;

create table userinfo(
            user_id      number(15),
            us_email     varchar(30) UNIQUE,
            username     varchar(10),
            contact_no    number(15),
            address       varchar(10),
            PRIMARY KEY (user_id)
);

create table item(
	it_id	number(10),
	it_name varchar(15),
	price	number(10),
	category varchar(10),
	primary key (it_id)
);

create table it_order(
	    user_id       number(15),
	    it_id	number(10),
        order_date    date,
	    order_type     char(10) check(order_type in('Sell', 'Buy')),
        FOREIGN KEY (user_id) REFERENCES userinfo(user_id) on DELETE CASCADE,
        FOREIGN KEY (it_id) REFERENCES item(it_id) on DELETE CASCADE
);
