drop table sales;
drop table profit;
drop table stock;
drop table item;
CREATE TABLE item
(
	item_id varchar(10),
	item_name varchar(50),
	item_price number(10,4),
	PRIMARY KEY(item_id)
);
CREATE TABLE stock
(
	item_id varchar(10),
	quantity_instock number(10,4),
	item_selling_price number(10,4),
	FOREIGN KEY (item_id) REFERENCES item(item_id) ON DELETE CASCADE
);
CREATE TABLE sales
(
	item_name varchar(10),
	quantity number(10,4),
	total number(10) DEFAULT 30,
	s_date date
);
CREATE TABLE profit
(
	item_instock number(10),
	item_sold number(10),
	status varchar(5),
	s_date date
);

INSERT INTO item(item_id,item_name,item_price) VALUES('001A','Rice',10.50);
INSERT INTO item(item_id,item_name,item_price) VALUES('001B','Oil',100);
INSERT INTO item(item_id,item_name,item_price) VALUES('001C','Bread',50);
INSERT INTO item(item_id,item_name,item_price) VALUES('001D','Coffe',200.35);
INSERT INTO item(item_id,item_name,item_price) VALUES('001E','Coke',55);
INSERT INTO stock(item_id,quantity_instock,item_selling_price) VALUES('001A',10,11.50);
INSERT INTO stock(item_id,quantity_instock,item_selling_price) VALUES('001B',20,110);
INSERT INTO stock(item_id,quantity_instock,item_selling_price) VALUES('001C',5,55);
INSERT INTO stock(item_id,quantity_instock,item_selling_price) VALUES('001D',6,202.60);
INSERT INTO stock(item_id,quantity_instock,item_selling_price) VALUES('001E',7,58);
INSERT INTO sales(item_name,quantity,s_date) VALUES('Rice',20,'18-aug-14');
INSERT INTO sales(item_name,quantity,s_date) VALUES('oil',3.5,'18-aug-14');
INSERT INTO sales(item_name,quantity,s_date) VALUES('Bread',10,'17-aug-14');
INSERT INTO sales(item_name,quantity,s_date) VALUES('coffe',2.5,'17-aug-14');
INSERT INTO sales(item_name,quantity,s_date) VALUES('coke',1.5,'16-aug-14');
select * from item;
select * from stock;
select * from sales;
select * from profit;
SET SERVEROUTPUT ON
DECLARE
	item_instock stock.quantity_instock%type;
	item_sold sales.quantity%type;
	
BEGIN
	DBMS_OUTPUT.PUT_LINE('IN STOCK : ' ||
	item_instock);
	DBMS_OUTPUT.PUT_LINE('SOLD : ' ||
	item_sold);
	

END;
/
