drop table friends;
drop table chat;
drop table useres;

create table useres(
                  username        varchar(20) not null,
                  password        varchar(15) not null,
                  fname           varchar(20) not null,
                  lname           varchar(20) not null,
                  gender          varchar(5) not null check(gender='male' or gender='female'),
                  email           varchar(50) not null,
                  birth_date      date not null,
                  flag            number(1)  default(1) check (flag=1 OR flag=0) not null ,
                  primary key (username)
);

create table friends(
                  username1       varchar(20) not null,
                  username2       varchar(20) not null,
                  flag            varchar(10) default('pending') not null ,
                  primary key (username1,username2),
                  foreign key (username1) references useres (username),
                  foreign key (username2) references useres (username)
);

create table chat(
                  username1       varchar(20) not null,
                  username2       varchar(20) not null,
                  message         varchar(500),
                  flag            number(1)  default(0) check (flag=1 or flag=0) not null,
                  foreign key (username1) references useres (username),
                  foreign key (username2) references useres (username)
);

      insert into useres(username,password,fname,lname,gender,email,birth_date) values('nazim','1234','nazim','gazi','male','gazinazim@yahoo.com','01-jan-2001');
      insert into useres(username,password,fname,lname,gender,email,birth_date) values('Awon','1234','Awon','-uz-Zaman','male','awon@yahoo.com','01-jan-2001');
      insert into useres(username,password,fname,lname,gender,email,birth_date) values('Atik','1234','AAtik','gazi','male','aatik@yahoo.com','01-jan-2001');
      insert into useres(username,password,fname,lname,gender,email,birth_date) values('Musta','1234','Md','Mustafiz','male','musta@yahoo.com','01-jan-2001');
      insert into useres(username,password,fname,lname,gender,email,birth_date) values('Badhon','1234','Badhon','Kabir','male','badhon@yahoo.com','01-jan-2001');

      insert into friends values('nazim','Awon','pending');
      insert into friends values('nazim','Musta','pending');
      insert into friends values('Musta','Awon','accepted');
      insert into friends values('Atik','Awon','pending');
      insert into friends values('nazim','Atik','accepted');

      insert into chat(username1,username2,message) values('nazim','Awon','Hi');
      insert into chat(username1,username2,message) values('Awon','Musta','How are U');
      insert into chat(username1,username2,message) values('nazim','Atik','where');
      insert into chat(username1,username2,message) values('Musta','Atik','Receive call');
       
      
      commit;