drop table doctor;
drop table patient;
drop table medicine;
drop table pat_med;

create table doctor(
doctor_id number(4) not null, 
name varchar(20) not null,
speciality varchar(10),
degree varchar(10),
number_of_patient number(3),
doctor_cost number(4),
primary key(doctor_id)
);

create table patient(
doctor_id number(4) not null, 
patient_id number(4) not null,
name varchar(20) not null,
phone number(11),
disease varchar(15),
total_cost number(4),
primary key(patient_id),
foreign key(doctor_id) references doctor(doctor_id) on delete cascade
);

create table medicine(
medicine_id number(4),
name varchar(15),
company varchar(10),
primary key(medicine_id)
);

create table pat_med(
medicine_cost number(3),
patient_id number(4) not null,
medicine_id number(4),
foreign key(patient_id) references patient(patient_id) on delete cascade,
foreign key(medicine_id) references medicine(medicine_id) on delete cascade
);
describe doctor;
describe patient;
describe medicine;
describe pat_med;