drop table roboticsforum;
drop table project;
drop table notice_board;
drop table message;
drop table question;
drop table answer;
drop table HACK;

create table HACK(
		roll number(6) not null,
		name varchar(15) not null,
		email varchar(40) not null,
		department varchar(3) not null,
		forum varchar(10) not null,
		password varchar(8) not null,
		verification_state varchar(1) default 'n',
		sequrity_question varchar(40),
		sequrity_qanswer varchar(30),
		primary key (roll)
);

create table roboticsforum(
		userid number(6) not null,
		name varchar(15) not null,
		post varchar(250) not null,
		time varchar(8) not null,
		postdate date not null,
		postno number,
		foreign key (userid) references HACK (roll) ON DELETE CASCADE
);

create table project(
		project_number number not null,
		projectname varchar(50) not null,
		submissionsate date not null,
		submitted_by varchar(15),
		projectfile_name varchar(30) not null,
		projectimage_name varchar(30) not null,
		downloads_no number default 0,
		primary key (project_number)
);

create table notice_board(
		notice_no number not null,
		notice_post varchar(500) not null,
		time varchar(8) not null,
		notice_date date not null,
		primary key (notice_no)
);


create table message(
		message_no number not null,
		sender_id number(6) not null references HACK (roll) ON DELETE CASCADE,
		receiver_id number(6) not null references HACK (roll) ON DELETE CASCADE,
		sms varchar(250) not null,
		sms_time varchar(8) not null,
		sms_date date not null,
		primary key (message_no)		
);

create table question(
		question_no number not null,
		questioner_name varchar(15) not null,
		question_time varchar(8) not null,
		question_date date not null,
		question varchar(100) not null,
		userid number(6) not null references HACK (roll) ON DELETE CASCADE,
		primary key (question_no)
);

create table answer(
		serialnumber number not null,
		question_no number not null,
		answerer varchar(15) not null,
		answer_time varchar(8) not null,
		answer_date date not null,
		answer varchar(250) not null,
		userid number(6) not null references HACK (roll) ON DELETE CASCADE,
		primary key (serialnumber)		
);
describe HACK;
describe roboticsforum;
describe project;
describe notice_board;
describe message;
describe question;
describe answer;
insert into HACK values(07048,'Tanveer','sr.tanvir29@gmail.com','CSE','robotics','kuetcse','n','who is your best friend ?','Akib');
insert into HACK values(07049,'Irtiza','irtiza29@gmail.com','CSE','robotics','abcdef','n','who is your best friend ?','Tanveer');
select * from HACK;
insert into roboticsforum values(07048,'Tanveer','How to work in arduino ?','01:01 PM','20 Aug 2014',1);
insert into roboticsforum values(07049,'Irtiza','go to www.arduino.cc','01:05 PM','20 Aug 2014',2);
select * from roboticsforum;
insert into project values(1,'Obstacle detector for blind','20 Aug 2014','Tanveer','arduino.ino and blindapp.apk','android apps for blind',100);
select * from project;
insert into notice_board values(1,'A workshop on Arduino is going to be held on 21 Aug 2014 at CSE building room no 210','01:15 PM','19 Aug 2014');
select * from notice_board;
insert into question values(1,'Tanveer','01:25 PM','19 Aug 2014','How to interface HC-05 bluetooth module in arduino mega sdk-2560 ?',07048);
select * from question;
insert into answer values(1,1,'Irtiza','02:25 PM','20 Aug 2014','Go to www.stackoverfow.com there is a tutorial about it',07049);
select * from answer;
insert into message values(1,07049,07048,'dear friend i cant find yhe tutorial that you suggested me.....','03:25 PM','22 Aug 2014');
select * from message;

commit;