drop table coment_info;
drop table price;
drop table food_list;

create table food_list(
  food_code number(5),
  food_name varchar(30),
  category varchar(30),
  primary key(food_code)
);

create table price(
  package_code number(5),
  food_code number(5),
  quantity number(5),
  price decimal(10,2),
  discount decimal(10,2),
  primary key(package_code),
  foreign key(food_code) references food_list(food_code)
);

create table coment_info(
  food_code number(5),
  coment varchar(500),
   foreign key(food_code) references food_list(food_code)
);

insert into food_list values(12,'Chicken Pizza','Fast Food');
insert into food_list values(20,'Beef Curry','Kitchen special');
insert into food_list values(15,'Chaomine','Chinese');

insert into price values(1,12,2,570.00,0.00);
insert into price values(2,20,5,1000.00,50.00);
insert into price values(3,15,4,570.00,0.00);

insert into coment_info values(12,'So Good');
insert into coment_info values(20,'Delicious');
insert into coment_info values(15,'Yammy');


select f.food_name,p.quantity,p.price,p.discount from food_list f natural join price p;

select f.food_name,c.coment from food_list f join coment_info c using(food_code);


commit;