drop table Student_Info
drop table Account
drop table Hall_Dues
drop table Login

create table Login(
Roll number(7) not null,
Password varchar(8) not null,
primary key(roll)
);

create table Student_Info(
Roll number(7),
First_Name varchar(15),
Last_Name varchar(15),
Dept varchar(4),
Email varchar(30),
foreign key(Roll) references Login on delete cascade 
);

create table Account(
Roll number(7),
Amount number(10),
foreign key(Roll) references Login on delete cascade
);

create table Hall_Dues(
Roll number(7),
Years number(4),
Months varchar(3),
Dues number(10),
foreign key(Roll) references Login on delete cascade
);

describe Login;
describe Student_Info;
describe Account;
describe Hall_Dues;

insert into Login(Roll,Password) values(1107035,'lemon');
insert into Student_Info(Roll,First_Name,Last_Name,Dept,Email) values(1107035,'Julfikar','Islam','CSE','email@example.com');
insert into Account(Roll,Amount) values(1107035,2500);
insert into Hall_Dues(Roll,Years,Months,Dues) values(1107035,2014,'AUG',2583);
insert into Hall_Dues(Roll,Years,Months,Dues) values(1107035,2014,'SEP',1085);


insert into Login(Roll,Password) values(1107036,'gazi');
insert into Student_Info(Roll,First_Name,Last_Name,Dept,Email) values(1107036,'Nazim','Gazi','CSE','email2@example.com');
insert into Account(Roll,Amount) values(1107036,3000);
insert into Hall_Dues(Roll,Years,Months,Dues) values(1107036,2014,'SEP',1085);

insert into Login(Roll,Password) values(1107055,'awon');
insert into Student_Info(Roll,First_Name,Last_Name,Dept,Email) values(1107036,'Md.','Awonuzzaman','CSE','email3@example.com');
insert into Account(Roll,Amount) values(1107055,2000);
insert into Hall_Dues(Roll,Years,Months,Dues) values(1107055,2014,'SEP',1085);

insert into Login(Roll,Password) values(1107048,'tanvir');
insert into Student_Info(Roll,First_Name,Last_Name,Dept,Email) values(1107048,'Siddikur','Tanvir','CSE','email4@example.com');
insert into Account(Roll,Amount) values(1107048,2200);
insert into Hall_Dues(Roll,Years,Months,Dues) values(1107048,2014,'SEP',1085);

insert into Login(Roll,Password) values(1107001,'shubha');
insert into Student_Info(Roll,First_Name,Last_Name,Dept,Email) values(1107001,'Shubhashis','Karmakar','CSE','email5@example.com');
insert into Account(Roll,Amount) values(1107001,3200);
insert into Hall_Dues(Roll,Years,Months,Dues) values(1107001,2014,'SEP',1085);

select First_Name,Last_Name,Dept,Email from Student_Info where Roll in(1107035);
select Roll,Amount from Account where Roll in(1107035);
select Years,Months,Dues from Hall_Dues where Roll in(1107035); 