drop table resitem;
drop table login;
drop table foodelement;
drop table items;
drop table restaurant;

create table restaurant
(
	restaurant_id number(8),
	restaurant_name varchar(60),
	proprietor varchar(40),
	location  varchar(30),
	city varchar(15),
	website varchar(30),
	primary key(restaurant_id)
);

create table items
(
	item_id number(10),
	item_name varchar(25),
	price number(7,2),
	primary key (item_id)
);

create table login
(
	restaurant_id number(8),
	password varchar(25),
	foreign key (restaurant_id) references restaurant(restaurant_id) on delete cascade
);

create table resitem
(
	restaurant_id number(8),
	item_id number(10),
	foreign key (restaurant_id) references restaurant(restaurant_id) on delete cascade,
	foreign key (item_id) references items(item_id) on delete cascade
);

create table foodelement
(
	item_id number(10),
	element varchar(20),
	foreign key (item_id) references items(item_id) on delete cascade
);



